Subject: I2C filtering (was Re: [PATCH v2 6/9] dt-bindings: i2c: at91: add binding for enable-ana-filt)

From: Wolfram Sang <[email-masked]>
Date: Tue, 25 Jun 2019 11:55:33 +0200

On Tue, Jun 25, 2019 at 11:31:56AM +0200, Alexandre Belloni wrote:
> On 25/06/2019 09:14:13+0000, [email-masked] wrote:
> > > Perhaps
> > > 
> > > 	microchip,digital-filter;
> > > 	microchip,analog-filter;
> > > 
> > > ?
> > 
> > Hi Peter,
> > 
> > Thanks for reviewing. The name of the property does not matter much to 
> > me, and we have properties prefixed with vendor, and some are not.
> > 
> > @Alexandre Belloni: which name you think it's best ?
> > 
> 
> I'm not sure, it depends on whether Wolfram thinks it is generic enough
> to be used without a vendor prefix.

I could imagine that we design a generic property for filters. The ones
above make me wonder, though, because they are bool. I'd think you can
configure the filters in some way, too?

I never used such filtering, so I am unaware of the parameters needed /
suitable. Quick grepping through I2C master drivers reveals that
i2c-stm32f7.c also handles filters, but only with default values. Maybe
DT configuration would be benefitial to that driver, too?

Adding some people to CC.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel